Subject: Ticket Assigned - Late C&C / 9564129492
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 06 Apr 2022 06:18:58 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late C&C / 9564129492 Prashanth                    Hello           10:01 AM, 06th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:01 AM, 06th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:01 AM, 06th Apr                     Prashanth                    Just wanna check the status of my order 9564129492           10:01 AM, 06th Apr                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:03 AM, 06th Apr                   New                   If you have any pictures that you would like to share, please do that.            10:03 AM, 06th Apr                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:03 AM, 06th Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            10:08 AM, 06th Apr                     Prashanth                    Item was ordered on 3rd April and u said it’s 1 or 2 working days. It’s 6 today and I need this item today before 2. I have flight tomorrow           10:09 AM, 06th Apr                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           10:18 AM, 06th Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:18 AM, 06th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4133456